<div class="container-fluid common_style">
	<p class="title">
		Assessment Maintenance > <i>Add/Edit Requirement Category</i>
	</p>
	<div class="upper-div d-flex justify-content-between">
		<span class="title"
			jhiTranslate="pcidssApp.requirementCategory.list">List of
			Requirement Categories</span>
			<div class="col-md-3 col-sm-3 col-xs-3 filter-div">
				<span class="heading mr-2" for="search">Filter: </span> <input
			class="form-control" #search (keyup)="0">
			</div>
		<div class="">
		<button
			class="btn btn-primary create-btn"
			[routerLink]="['/saq/admin/requirement-category-new']">
			<span class="fa fa-plus"></span> <span
				jhiTranslate="pcidssApp.requirementCategory.create.createLabel">
				Add a new Requirement Category </span>
		</button>
		</div>
	</div>
	
	
	<br>
	<div class="table-responsive" *ngIf="requirementCategories">
		<table class="table table-striped table-bordered">
			<thead>
				<tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse"
					[callback]="transition.bind(this)">
					<th jhiSortBy="id"><span
						jhiTranslate="pcidssApp.requirementCategory.category_number">Requirement
							Category #</span> <span class="fa fa-sort"></span></th>
					<th jhiSortBy="categoryName"><span
						jhiTranslate="pcidssApp.requirementCategory.description">Description</span>
						<span class="fa fa-sort"></span></th>
					<th class="action">Action</th>
				</tr>
			</thead>
			<tbody>
				<tr
					*ngFor="let requirementCategory of (requirementCategories | filterRequirementCategory: search.value) ;trackBy: trackId">
					<td style="width:12%"><a
						[routerLink]="['/saq/admin/requirement-category', requirementCategory.id ]">{{requirementCategory.id}}</a></td>
					<td>{{requirementCategory.categoryName}}</td>
					<td class="text-right">
						<div>
							<button type="submit" class="btn btn-sm action-btn view" [routerLink]="['/saq/admin/requirement-category', requirementCategory.id]" replaceUrl="true">
								<span class="fa fa-eye"></span>
							</button>
							<button type="submit" replaceUrl="true"
								class="btn btn-sm action-btn edit" [routerLink]="['/saq/admin/requirement-category', requirementCategory.id, 'edit']" replaceUrl="true">
								<span class="fa fa-pencil"></span>
							</button>
							<button type="submit"
								[disabled]="requirementCategory.isRequirementExist" (click)="deleteExpectedTest(requirementCategory.id)" class="btn btn-danger btn-sm action-btn">
								<span class="fa fa-trash"></span>
							</button>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
		<div *ngIf="requirementCategories && requirementCategories.length" class="float-right">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
	</div>      
</div>
